Bug 188535 - x86_64 missing
x86_64 missing
Product: Fedora
Classification: Fedora
Component: apmd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zdenek Prikryl
Depends On:
  Show dependency treegraph
Reported: 2006-04-10 18:32 EDT by Levente Farkas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-27 06:09:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Levente Farkas 2006-04-10 18:32:28 EDT
Description of problem:
why there is no x86_64 version of apmd?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Phil Knirsch 2006-06-28 00:38:47 EDT
Does it build and work properly now under x86_64?

Read ya, Phil
Comment 2 Levente Farkas 2006-06-28 04:10:54 EDT
i don't know but eg hp 6125 laptop is not working with acpi and there is no apmd
so there is no way to know the state of the battery. this means it's just trun
off when the battery is empty:-(
Comment 3 Zdenek Prikryl 2007-07-26 02:30:11 EDT
FC5 has now been EOL'd.

So try the new one (which is in FC6 or F7), with "apm=on acpi=off" as kernel
parameter at the boot time. Then check if you have /proc/apm/*. If not, then
your NB does not support amp, and amp daemon if useless.

If this NB supports amp, then I create x86_64 version of apmd.

Please, let me know.


Comment 4 Levente Farkas 2007-07-26 16:27:08 EDT
i don't have:-(
Comment 5 Zdenek Prikryl 2007-07-27 02:37:11 EDT
APM technology is very old stuff (most of (maybe all) of manufacturer does not
support it now) and is replaced by ACPI technology. Your NB is new one, so I do
not think that it supports APM.

So, new kernel which is in FC6 or F7 does not working witch your NB? For sure,
please boot with "acpi=on" as kernel boot parameter. Then check what do you have
in /proc/acpi/*. There  should be some files/directories (for battery
/proc/acpi/battery/BAT[0,1]/[state, info, ...]).

Please check this.


Comment 6 Levente Farkas 2007-07-27 03:39:41 EDT
the truth is that i already install i386 version in stead of x86_64 since i've
got a lots of problem with x86_64 (wireless, card reader etc..) but afaik there
is acpi support on it.
Comment 7 Zdenek Prikryl 2007-07-27 06:09:34 EDT
OK, I close this bug, because for now there is no reason to port apmd to x86_64.

Note You need to log in before you can comment on or make changes to this bug.